<!-- 查看商家详情 -->

<template>
	<view>
		<view style="display: block;" class="form_item">
			<view class="rht">{{data['bt_linker_name']||''}} {{data['bt_linker_gender']==1?'女士':'先生'}}</view>
		</view>
		<view style="display: block;" class="form_item" :key="item.key" v-for="(item, index) in resume_info_item_edit">
			<view class="rht">{{item.name}}</view>
			<view style="width: 94%;margin-left: 3%;margin-top: 20upx;">
				{{data[item.key]||''}}
			</view>
		</view>
	</view>
</template>

<script>
	import commonData from '../../commonData.js'
	import commonFun from '../../commonFun.js'

	export default {
		data() {
			return {
				resume_info_item_edit: [{
					key: 'bt_companyname',
					name: '公司名称',
				},{
					key: 'company_desc',
					name: '公司简介',
				},{
					key: 'company_addr',
					name: '公司地址',
				}],
				id: '',
				data: {},
			}
		},
		onLoad(e) {
			this.id = e.id || 578
			this.get_data()
		},
		onPullDownRefresh() {
			this.get_info()
		},
		methods: {
			get_data() {
				uni.showLoading({
					title: '加载中...',
					mask: true
				})

				commonFun.requestUrl('&WsAjaxBiz=Public&WsAjaxAction=entityDataHandle', {
					bizCatalog: 'RecruitEntity',
					handleMode: 'fetch',
					bizId: this.id
				}, res => {
					if (res.status) {
						this.data = res.data.Result
						console.log('商家详情页获取')
						console.log(this.data)
					}
					this.loading = false
					uni.hideLoading()
					uni.stopPullDownRefresh()
				})
			}
		}
	}
</script>

<style>
	.check_resume_top {
		line-height: 42upx;
		margin-top: 10upx;
	}

	.check_resume_top view {
		color: #949494;
	}
</style>
